/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#include <xml-cxx/xml.hxx>
#include <iostream>
#include <sstream>

XML_NODE(base);
XML_NODE(child);
XML_STRING(element);

int main(int, char**) {
  xml::Factory test(*xml::node::base.clone()
                    <<(*xml::node::child.clone()
                       <<*xml::string::element.clone()));
  std::stringstream ss("<base>\n"
                       "  <child>\n"
                       "    <element>Hello</element>\n"
                       "  </child>\n"
                       "</base>");
  std::unique_ptr<xml::Node> file(test.read(ss));
  std::cout<<"The text in element is: "
           <<(*file)[xml::name::child][xml::name::element].text()
           <<std::endl;
  return 0;
}
